package com.seer.teach.admin.convert;


import com.seer.teach.admin.request.BooksQueryReq;
import com.seer.teach.admin.request.BooksSaveReq;
import com.seer.teach.admin.request.BooksUpdateReq;
import com.seer.teach.admin.response.BooksListResp;
import com.seer.teach.admin.response.BooksResp;
import com.seer.teach.teacher.module.entity.BooksEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(componentModel = "spring")
public interface BooksConvert {

    BooksConvert INSTANCE = Mappers.getMapper(BooksConvert.class);

    BooksEntity convertOne(BooksQueryReq  req);

    List<BooksListResp> convertList(List<BooksEntity> list);

    BooksEntity convertTwo(BooksSaveReq req);

    BooksResp convertThree(BooksEntity req);

    BooksEntity convertFour(BooksUpdateReq req);
}
